package com.myoa.engineering.crawl.shopping.infra.repository.v2;

import com.myoa.engineering.crawl.shopping.domain.entity.v2.SubscribedKeyword;
import com.myoa.engineering.crawl.shopping.support.dto.constant.CrawlTarget;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SubscribedKeywordRepository extends JpaRepository<SubscribedKeyword, Long> {

    List<SubscribedKeyword> findByCrawlTarget(CrawlTarget crawlTarget);
}
