package com.myoa.engineering.crawl.shopping.domain.model.v2;

import com.myoa.engineering.crawl.shopping.support.dto.constant.CrawlTarget;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.time.ZonedDateTime;

@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ArticleModel {

    private Long id;
    private Long articleId;
    private CrawlTarget crawlTarget;
    private String boardName;
    private String articleUrl;
    private String title;
    private Integer hit;
    private Integer recommended;
    private ZonedDateTime registeredAt;

}
